summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xjjb/apex/apex-deploy.sh20
-rw-r--r--jjb/apex/apex-snapshot-deploy.sh2
-rwxr-xr-xjjb/apex/apex-unit-test.sh2
-rw-r--r--jjb/xci/bifrost-periodic-jobs.yml9
-rwxr-xr-xjjb/xci/bifrost-provision.sh6
-rw-r--r--jjb/xci/bifrost-verify-jobs.yml2
-rw-r--r--jjb/xci/xci-daily-jobs.yml12
-rwxr-xr-xjjb/xci/xci-provision.sh104
-rwxr-xr-xprototypes/bifrost/scripts/bifrost-provision.sh2
-rw-r--r--prototypes/xci/file/setup-openstack.yml12
-rwxr-xr-xprototypes/xci/xci-deploy.sh2
-rw-r--r--utils/test/reporting/img/danube.jpgbin51220 -> 53437 bytes
12 files changed, 47 insertions, 126 deletions
diff --git a/jjb/apex/apex-deploy.sh b/jjb/apex/apex-deploy.sh
index c7ca3f5e3..4b64fd14f 100755
--- a/jjb/apex/apex-deploy.sh
+++ b/jjb/apex/apex-deploy.sh
@@ -59,6 +59,12 @@ else
fi
fi
+# rename odl_l3 to odl only for master
+# this can be removed once all the odl_l3 references
+# are updated to odl after the danube jobs are removed
+if [[ "$BUILD_DIRECTORY" == *master* ]]; then
+ DEPLOY_SCENARIO=${DEPLOY_SCENARIO/odl_l3/odl}
+fi
if [ -z "$DEPLOY_SCENARIO" ]; then
echo "Deploy scenario not set!"
exit 1
@@ -87,8 +93,8 @@ if [[ "$BUILD_DIRECTORY" == *verify* || "$BUILD_DIRECTORY" == *promote* ]]; then
DEPLOY_SETTINGS_DIR="${WORKSPACE}/config/deploy"
NETWORK_SETTINGS_DIR="${WORKSPACE}/config/network"
DEPLOY_CMD="$(pwd)/deploy.sh"
- RESOURCES="${WORKSPACE}/.build/"
- CONFIG="${WORKSPACE}/build"
+ IMAGES="${WORKSPACE}/.build/"
+ BASE="${WORKSPACE}/build"
LIB="${WORKSPACE}/lib"
# Make sure python34 deps are installed
for dep_pkg in epel-release python34 python34-PyYAML python34-setuptools; do
@@ -145,13 +151,13 @@ else
DEPLOY_CMD=opnfv-deploy
DEPLOY_SETTINGS_DIR="/etc/opnfv-apex/"
NETWORK_SETTINGS_DIR="/etc/opnfv-apex/"
- RESOURCES="/var/opt/opnfv/images"
- CONFIG="/var/opt/opnfv"
+ IMAGES="/var/opt/opnfv/images"
+ BASE="/var/opt/opnfv"
LIB="/var/opt/opnfv/lib"
fi
# set env vars to deploy cmd
-DEPLOY_CMD="CONFIG=${CONFIG} RESOURCES=${RESOURCES} LIB=${LIB} ${DEPLOY_CMD}"
+DEPLOY_CMD="BASE=${BASE} IMAGES=${IMAGES} LIB=${LIB} ${DEPLOY_CMD}"
if [ "$OPNFV_CLEAN" == 'yes' ]; then
if sudo test -e '/root/inventory/pod_settings.yaml'; then
@@ -160,9 +166,9 @@ if [ "$OPNFV_CLEAN" == 'yes' ]; then
clean_opts=''
fi
if [[ "$BUILD_DIRECTORY" == *verify* || "$BUILD_DIRECTORY" == *promote* ]]; then
- sudo CONFIG=${CONFIG} LIB=${LIB} ./clean.sh ${clean_opts}
+ sudo BASE=${BASE} LIB=${LIB} ./clean.sh ${clean_opts}
else
- sudo CONFIG=${CONFIG} LIB=${LIB} opnfv-clean ${clean_opts}
+ sudo BASE=${BASE} LIB=${LIB} opnfv-clean ${clean_opts}
fi
fi
diff --git a/jjb/apex/apex-snapshot-deploy.sh b/jjb/apex/apex-snapshot-deploy.sh
index 8274740c8..06c002319 100644
--- a/jjb/apex/apex-snapshot-deploy.sh
+++ b/jjb/apex/apex-snapshot-deploy.sh
@@ -22,7 +22,7 @@ echo
echo "Cleaning server"
pushd ci > /dev/null
-sudo CONFIG=../build/ LIB=../lib ./clean.sh
+sudo BASE=../build/ LIB=../lib ./clean.sh
popd > /dev/null
echo "Downloading latest snapshot properties file"
diff --git a/jjb/apex/apex-unit-test.sh b/jjb/apex/apex-unit-test.sh
index 5c4341741..12cb862b0 100755
--- a/jjb/apex/apex-unit-test.sh
+++ b/jjb/apex/apex-unit-test.sh
@@ -9,7 +9,7 @@ echo
pushd ci/ > /dev/null
-sudo CONFIG="${WORKSPACE}/build" LIB="${WORKSPACE}/lib" ./clean.sh
+sudo BASE="${WORKSPACE}/build" LIB="${WORKSPACE}/lib" ./clean.sh
./test.sh
popd
diff --git a/jjb/xci/bifrost-periodic-jobs.yml b/jjb/xci/bifrost-periodic-jobs.yml
index 31aa8dade..0c29fd3c9 100644
--- a/jjb/xci/bifrost-periodic-jobs.yml
+++ b/jjb/xci/bifrost-periodic-jobs.yml
@@ -77,8 +77,8 @@
- '^xci-os.*'
- '^xci-deploy.*'
- '^xci-functest.*'
- - '^bifrost-periodic-.*'
- - '^osa-periodic-.*'
+ - '^bifrost-.*periodic.*'
+ - '^osa-.*periodic.*'
block-level: 'NODE'
- logrotate-default
@@ -87,6 +87,9 @@
project: '{project}'
branch: '{opnfv-releng-version}'
- string:
+ name: GIT_BASE
+ default: https://gerrit.opnfv.org/gerrit/$PROJECT
+ - string:
name: XCI_FLAVOR
default: 'ha'
- string:
@@ -133,7 +136,7 @@
builders:
- description-setter:
- description: "Built on $NODE_NAME - Scenario: $DEPLOY_SCENARIO"
+ description: "Built on $NODE_NAME - Flavor: $XCI_FLAVOR"
- 'bifrost-provision-builder'
#---------------------------
diff --git a/jjb/xci/bifrost-provision.sh b/jjb/xci/bifrost-provision.sh
index d8e17c463..4724c2ee5 100755
--- a/jjb/xci/bifrost-provision.sh
+++ b/jjb/xci/bifrost-provision.sh
@@ -70,6 +70,9 @@ cd /opt/releng && sudo git checkout --quiet $OPNFV_RELENG_VERSION
echo "xci: using releng commit"
git show --oneline -s --pretty=format:'%h - %s (%cr) <%an>'
+# source flavor vars
+source "$WORKSPACE/prototypes/xci/config/${XCI_FLAVOR}-vars"
+
# combine opnfv and upstream scripts/playbooks
sudo /bin/cp -rf /opt/releng/prototypes/bifrost/* /opt/bifrost/
@@ -77,7 +80,7 @@ sudo /bin/cp -rf /opt/releng/prototypes/bifrost/* /opt/bifrost/
cd /opt/bifrost
sudo -E ./scripts/destroy-env.sh
-# provision 6 VMs; xcimaster, controller00, controller01, controller02, compute00, and compute01
+# provision VMs for the flavor
cd /opt/bifrost
sudo -E ./scripts/bifrost-provision.sh
@@ -87,7 +90,6 @@ source env-vars
ironic node-list
virsh list
-
echo "OpenStack nodes are provisioned!"
# here we have to do something in order to capture what was the working sha1
# hardcoding stuff for the timebeing
diff --git a/jjb/xci/bifrost-verify-jobs.yml b/jjb/xci/bifrost-verify-jobs.yml
index b93456ee2..80c816ca1 100644
--- a/jjb/xci/bifrost-verify-jobs.yml
+++ b/jjb/xci/bifrost-verify-jobs.yml
@@ -55,7 +55,7 @@
- defaults:
name: verify_vm_defaults
test-vm-num-nodes: '3'
- test-vm-node-names: 'xcimaster controller00 compute00'
+ test-vm-node-names: 'opnfv controller00 compute00'
vm-domain-type: 'kvm'
vm-cpu: '2'
vm-disk: '30'
diff --git a/jjb/xci/xci-daily-jobs.yml b/jjb/xci/xci-daily-jobs.yml
index f9fbc1de8..12772c63d 100644
--- a/jjb/xci/xci-daily-jobs.yml
+++ b/jjb/xci/xci-daily-jobs.yml
@@ -94,8 +94,8 @@
- '^xci-os.*'
- '^xci-deploy.*'
- '^xci-functest.*'
- - '^bifrost-periodic-.*'
- - '^osa-periodic-.*'
+ - '^bifrost-.*periodic.*'
+ - '^osa-.*periodic.*'
block-level: 'NODE'
- logrotate-default
@@ -155,10 +155,11 @@
- build-blocker:
use-build-blocker: true
blocking-jobs:
+ - '^xci-os.*'
- '^xci-deploy.*'
- '^xci-functest.*'
- - '^bifrost-periodic-.*'
- - '^osa-periodic-.*'
+ - '^bifrost-.*periodic.*'
+ - '^osa-.*periodic.*'
block-level: 'NODE'
- logrotate-default
@@ -173,6 +174,9 @@
project: '{project}'
branch: '{opnfv-releng-version}'
- string:
+ name: GIT_BASE
+ default: https://gerrit.opnfv.org/gerrit/$PROJECT
+ - string:
name: DEPLOY_SCENARIO
default: 'os-nosdn-nofeature-ha'
- string:
diff --git a/jjb/xci/xci-provision.sh b/jjb/xci/xci-provision.sh
deleted file mode 100755
index 47a96767f..000000000
--- a/jjb/xci/xci-provision.sh
+++ /dev/null
@@ -1,104 +0,0 @@
-#!/bin/bash
-# SPDX-license-identifier: Apache-2.0
-##############################################################################
-# Copyright (c) 2016 Ericsson AB and others.
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-set -o errexit
-set -o nounset
-set -o pipefail
-
-trap cleanup_and_upload EXIT
-
-function fix_ownership() {
- if [ -z "${JOB_URL+x}" ]; then
- echo "Not running as part of Jenkins. Handle the logs manually."
- else
- # Make sure cache exists
- [[ ! -d ${HOME}/.cache ]] && mkdir ${HOME}/.cache
-
- sudo chown -R jenkins:jenkins $WORKSPACE
- sudo chown -R jenkins:jenkins ${HOME}/.cache
- fi
-}
-
-function cleanup_and_upload() {
- original_exit=$?
- fix_ownership
- exit $original_exit
-}
-
-# check distro to see if we support it
-if [[ ! "$DISTRO" =~ (xenial|centos7|suse) ]]; then
- echo "Distro $DISTRO is not supported!"
- exit 1
-fi
-
-# remove previously cloned repos
-sudo /bin/rm -rf /opt/bifrost /opt/openstack-ansible /opt/releng /opt/functest
-
-# Fix up permissions
-fix_ownership
-
-# ensure the versions to checkout are set
-export OPENSTACK_BIFROST_VERSION=${OPENSTACK_BIFROST_VERSION:-master}
-export OPNFV_RELENG_VERSION=${OPNFV_RELENG_VERSION:-master}
-
-# log some info
-echo -e "\n"
-echo "***********************************************************************"
-echo "* *"
-echo "* Provision OpenStack Nodes *"
-echo "* *"
-echo " bifrost version: $OPENSTACK_BIFROST_VERSION"
-echo " releng version: $OPNFV_RELENG_VERSION"
-echo "* *"
-echo "***********************************************************************"
-echo -e "\n"
-
-# clone the repos and checkout the versions
-sudo git clone --quiet https://git.openstack.org/openstack/bifrost /opt/bifrost
-cd /opt/bifrost && sudo git checkout --quiet $OPENSTACK_BIFROST_VERSION
-echo "xci: using bifrost commit"
-git show --oneline -s --pretty=format:'%h - %s (%cr) <%an>'
-
-sudo git clone --quiet https://gerrit.opnfv.org/gerrit/releng /opt/releng
-cd /opt/releng && sudo git checkout --quiet $OPNFV_RELENG_VERSION
-echo "xci: using releng commit"
-git show --oneline -s --pretty=format:'%h - %s (%cr) <%an>'
-
-# this script will be reused for promoting bifrost versions and using
-# promoted bifrost versions as part of xci daily.
-USE_PROMOTED_VERSIONS=${USE_PROMOTED_VERSIONS:-false}
-if [ $USE_PROMOTED_VERSIONS = "true" ]; then
- echo "TBD: Will use the promoted versions of openstack/opnfv projects"
-fi
-
-# combine opnfv and upstream scripts/playbooks
-sudo /bin/cp -rf /opt/releng/prototypes/bifrost/* /opt/bifrost/
-
-# cleanup remnants of previous deployment
-cd /opt/bifrost
-sudo -E ./scripts/destroy-env.sh
-
-# provision 6 VMs; xcimaster, controller00, controller01, controller02, compute00, and compute01
-cd /opt/bifrost
-sudo -E ./scripts/bifrost-provision.sh
-
-# list the provisioned VMs
-cd /opt/bifrost
-source env-vars
-ironic node-list
-virsh list
-
-# log some info
-echo -e "\n"
-echo "***********************************************************************"
-echo "* *"
-echo "* OpenStack nodes are provisioned! *"
-echo "* *"
-echo "***********************************************************************"
-echo -e "\n"
diff --git a/prototypes/bifrost/scripts/bifrost-provision.sh b/prototypes/bifrost/scripts/bifrost-provision.sh
index 2814808f0..d3b28ee10 100755
--- a/prototypes/bifrost/scripts/bifrost-provision.sh
+++ b/prototypes/bifrost/scripts/bifrost-provision.sh
@@ -34,7 +34,7 @@ export BIFROST_INVENTORY_SOURCE=$BAREMETAL_DATA_FILE
# Default settings for VMs
export TEST_VM_NUM_NODES=${TEST_VM_NUM_NODES:-3}
-export TEST_VM_NODE_NAMES=${TEST_VM_NODE_NAMES:-"xcimaster controller00 compute00"}
+export TEST_VM_NODE_NAMES=${TEST_VM_NODE_NAMES:-"opnfv controller00 compute00"}
export VM_DOMAIN_TYPE=${VM_DOMAIN_TYPE:-kvm}
export VM_CPU=${VM_CPU:-4}
export VM_DISK=${VM_DISK:-100}
diff --git a/prototypes/xci/file/setup-openstack.yml b/prototypes/xci/file/setup-openstack.yml
index 48f156ad7..bd5d5cd93 100644
--- a/prototypes/xci/file/setup-openstack.yml
+++ b/prototypes/xci/file/setup-openstack.yml
@@ -1,5 +1,5 @@
---
-# Copyright 2017, Rackspace US, Inc. and others
+# Copyright 2014, Rackspace US, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -22,5 +22,15 @@
- include: os-horizon-install.yml
- include: os-ceilometer-install.yml
- include: os-aodh-install.yml
+- include: os-designate-install.yml
+#NOTE(stevelle) Ensure Gnocchi identities exist before Swift
+- include: os-gnocchi-install.yml
+ when:
+ - gnocchi_storage_driver is defined
+ - gnocchi_storage_driver == 'swift'
+ vars:
+ gnocchi_identity_only: True
- include: os-swift-install.yml
+- include: os-gnocchi-install.yml
- include: os-ironic-install.yml
+- include: os-tempest-install.yml
diff --git a/prototypes/xci/xci-deploy.sh b/prototypes/xci/xci-deploy.sh
index 7eb3ecdff..da5bb26cf 100755
--- a/prototypes/xci/xci-deploy.sh
+++ b/prototypes/xci/xci-deploy.sh
@@ -31,7 +31,7 @@ source $XCI_PATH/config/user-vars
# source pinned versions
source $XCI_PATH/config/pinned-versions
# source flavor configuration
-source "$XCI_PATH/flavors/${XCI_FLAVOR}-vars"
+source "$XCI_PATH/config/${XCI_FLAVOR}-vars"
# source xci configuration
source $XCI_PATH/config/env-vars
diff --git a/utils/test/reporting/img/danube.jpg b/utils/test/reporting/img/danube.jpg
index a5778356f..2d8e27b60 100644
--- a/utils/test/reporting/img/danube.jpg
+++ b/utils/test/reporting/img/danube.jpg
Binary files differ